Bug 982856 - man page of nss-sysinit contains a wrong path for the script and a typo in the --off option description
man page of nss-sysinit contains a wrong path for the script and a typo in th...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
20
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 982723
  Show dependency treegraph
 
Reported: 2013-07-09 23:15 EDT by Elio Maldonado Batiz
Modified: 2014-06-11 11:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: nss-util-3.15.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 982723
Environment:
Last Closed: 2013-12-13 21:51:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix option descriptions, examples, and removes spurious ones (1.87 KB, patch)
2013-11-04 17:35 EST, Elio Maldonado Batiz
no flags Details | Diff
changes to nss.spec in patch format for this bug and more ... (1.58 KB, patch)
2013-11-04 17:47 EST, Elio Maldonado Batiz
no flags Details | Diff

  None (edit)
Description Elio Maldonado Batiz 2013-07-09 23:15:44 EDT
+++ This bug was initially created as a clone of Bug #982723 +++

Description of problem:
Man page of nss-sysinit contains wrong path for setup-nsssysinit - /usr/bin/setup-nsssysinit. This script file does not exist but /usr/bin/setup-nsssysinit.sh does. Also, the manual page contains wrong path "/usr/sbin/setup-nsssysinit" in "FILES" section.
We need to re-write man page or change the name of the setup-nsssysinit (or better - create a symlink for it).


Version-Release number of selected component (if applicable):
nss-sysinit-3.15-6.el7

How reproducible:
Always

Steps to Reproduce:
1. $ rpm -ql nss-sysinit | grep -e man -e bin
/usr/bin/setup-nsssysinit.sh
/usr/share/man/man1/setup-nsssysinit.1.gz
2. $ zcat /usr/share/man/man1/setup-nsssysinit.1.gz | groff -T ascii | grep setup-nsssysinit
setup-nsssysinit - Query or enable the nss-sysinit module
setup-nsssysinit [--prefix] [--exec-prefix] [--includedir]
[--libs] [--cflags] [--libdir] [--version] setup-nsssysinit is a
        /usr/bin/setup-nsssysinit --status
        /usr/bin/setup-nsssysinit --on
/usr/sbin/setup-nsssysinit pkg-config(1) The nss liraries were
3. $ man setup-nsssysinit.sh
No manual entry for setup-nsssysinit.sh
4. $ man setup-nsssysinit ; ls /usr/sbin/setup-nsssysinit*
- SNIP -
FILES
       /usr/sbin/setup-nsssysinit
- SNIP -
ls: cannot access /usr/sbin/setup-nsssysinit*: No such file or directory

Actual results:
*in steps of reproducing

Expected results:
Changed man page or renamed (symlinked) script file.

Additional info:

--- Additional comment from Elio Maldonado Batiz on 2013-07-09 17:46:23 EDT ---

My rhel-7.0 VM. from where I am typing,  is currently one release behind. I currently have problems upgrading so let's try to reproduce with what I have.

[emaldona@localhost ~]$ rpm -q nss-sysinit
nss-sysinit-3.15-5.el7.x86_64
[emaldona@localhost ~]$ rpm -ql nss-sysinit
/etc/pki/nssdb/cert9.db
/etc/pki/nssdb/key4.db
/etc/pki/nssdb/pkcs11.txt
/usr/bin/setup-nsssysinit.sh
/usr/lib64/libnsssysinit.so
/usr/share/man/man1/setup-nsssysinit.1.gz

I see both the script and the man page tarred.

Can I use it?
[emaldona@localhost ~]$ man setup-nsssysinit > man-setup-nsssysinit.txt 2>&1
SETUP-NSSSYSINIT(1)                                 Network Security Services                                SETUP-NSSSYSINIT(1)



NAME
       setup-nsssysinit - Query or enable the nss-sysinit module

SYNOPSIS
       setup-nsssysinit [--prefix] [--exec-prefix] [--includedir] [--libs] [--cflags] [--libdir] [--version]

Yes, I have it. 

In another system, I downloaded the nss-sysinit rpms for the 5 and an 6 relases. That's nss-sysinit-3.15-5.el7.x86_64.rpm and and nss-sysinit-3.15-6.el7.x86_64.rpm. I extracted them with rpmedev-extract and compared and it showed me I have the same files on each. The script hasn't gone missing.

The only change I made going from -5 to -6 is that I no longer strip off the ECC code from the upstream source tar ball as I did before. I can't explain the cause of the reported problem at this moment.

--- Additional comment from Elio Maldonado Batiz on 2013-07-09 18:13:21 EDT ---

I downloaded the nss-3.15-6 rpms and manually updated via 'yum localupdate'.

This is what I now have:
[emaldona@localhost ~]$ rpm -q nss-sysinit
nss-sysinit-3.15-6.el7.x86_64

[emaldona@localhost ~]$ rpm -ql nss-sysinit
/etc/pki/nssdb/cert9.db
/etc/pki/nssdb/key4.db
/etc/pki/nssdb/pkcs11.txt
/usr/bin/setup-nsssysinit.sh
/usr/lib64/libnsssysinit.so
/usr/share/man/man1/setup-nsssysinit.1.gz

All files are present and invoking
[emaldona@localhost ~]$ man setup-nsssysinit
shows me:
SETUP-NSSSYSINIT(1)                                 Network Security Services                                SETUP-NSSSYSINIT(1)

NAME
       setup-nsssysinit - Query or enable the nss-sysinit module

.... etcetera ....

It's working on my test system.

--- Additional comment from Elio Maldonado Batiz on 2013-07-09 18:21:45 EDT ---

I think I know what the problems is

[emaldona@localhost ~]$ ls -l /usr/bin/setup-nsssysinit*
-rwxr-xr-x. 1 root root 1539 Jul  1 20:45 /usr/bin/setup-nsssysinit.sh

[emaldona@localhost ~]$ ls -l /usr/sbin/setup-nsssysinit*
ls: cannot access /usr/sbin/setup-nsssysinit*: No such file or directory

I never created that symbolic link. If it's required, that's easy enough to do.

--- Additional comment from Elio Maldonado Batiz on 2013-07-09 23:01:35 EDT ---

There no need for a symbolic link. After reading the problem description in Comment 0 more carefully I see the mistake. In the Files section, the path to /usr/sbin/setup-nsssysinit that should be changed to /usr/sbin/setup-nsssysinit. There is also a mistake in the --off option description, Turn off nss-sysinit, not on. I'll fix them in fedora first.
Comment 1 Fedora End Of Life 2013-09-16 13:00:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Elio Maldonado Batiz 2013-11-04 17:35:31 EST
Created attachment 819397 [details]
Fix option descriptions, examples, and removes spurious ones
Comment 3 Elio Maldonado Batiz 2013-11-04 17:47:33 EST
Created attachment 819400 [details]
changes to nss.spec in patch format for this bug and more ...

Add ia64, s390x, and aarch64 to multilib_arches used for alt_ckbi
Kaie, I'm not 100% sure about aarch64, which is for mobile device support, should it be added as well? -Elio
Comment 4 Fedora Update System 2013-12-03 17:02:55 EST
nss-3.15.3-2.fc20,nss-softokn-3.15.3-1.fc20,nss-util-3.15.3-1.fc20,nspr-4.10.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nss-3.15.3-2.fc20,nss-softokn-3.15.3-1.fc20,nss-util-3.15.3-1.fc20,nspr-4.10.2-1.fc20
Comment 5 Fedora Update System 2013-12-04 19:43:06 EST
Package nss-3.15.3-2.fc20, nss-softokn-3.15.3-1.fc20, nss-util-3.15.3-1.fc20, nspr-4.10.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-3.15.3-2.fc20 nss-softokn-3.15.3-1.fc20 nss-util-3.15.3-1.fc20 nspr-4.10.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22756/nss-3.15.3-2.fc20,nss-softokn-3.15.3-1.fc20,nss-util-3.15.3-1.fc20,nspr-4.10.2-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-11 16:38:03 EST
nss-util-3.15.3-1.fc19,nss-softokn-3.15.3-1.fc19,nss-3.15.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nss-util-3.15.3-1.fc19,nss-softokn-3.15.3-1.fc19,nss-3.15.3-1.fc19
Comment 7 Fedora Update System 2013-12-13 00:06:20 EST
Package nss-util-3.15.3-1.fc19, nss-softokn-3.15.3-1.fc19, nss-3.15.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-util-3.15.3-1.fc19 nss-softokn-3.15.3-1.fc19 nss-3.15.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23301/nss-util-3.15.3-1.fc19,nss-softokn-3.15.3-1.fc19,nss-3.15.3-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-13 21:51:55 EST
nss-3.15.3-2.fc20, nss-softokn-3.15.3-1.fc20, nss-util-3.15.3-1.fc20, nspr-4.10.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-14 22:36:26 EST
nss-util-3.15.3-1.fc19, nss-softokn-3.15.3-1.fc19, nss-3.15.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.